# eslint-plugin-elt

[![NPM version](https://img.shields.io/npm/v/eslint-plugin-elt/latest.svg)](https://www.npmjs.com/package/eslint-plugin-elt)
[![NPM downloads](https://img.shields.io/npm/dm/eslint-plugin-elt.svg)](https://www.npmjs.com/package/eslint-plugin-elt)

## Description

The ESLint Plugin for ELT Team.

## Installing

To install the this package, simply type add or install `eslint-plugin-elt`
using your favorite package manager:

- `npm install eslint-plugin-elt`
- `yarn add eslint-plugin-elt`
- `pnpm add eslint-plugin-elt`

## Getting Started

### Basic Usage
```json
// package.json
{
  "eslintConfig": {
    "extends": [
      "plugin:eslint-plugin-elt/base"
      // plugin:eslint-plugin-elt/react
      // plugin:eslint-plugin-elt/node
    ]
  },
}
```


### With Special Prettier Options
```json
// package.json
{
  "eslintConfig": {
    "extends": [
      "plugin:eslint-plugin-elt/base"
    ],
    "rules": {
      "prettier/prettier": ["error", {}]
    }
  },
  "prettier": {
    "printWidth": 120,
    "singleQuote": true,
    "trailingComma": "all"
  }
}
```
