module.exports = {
  env: {
    node: true,
    commonjs: true,
  },
  plugins: [
    // https://github.com/mysticatea/eslint-plugin-node
    'eslint-plugin-node',
  ],
  extends: [require.resolve('./base'), 'plugin:eslint-plugin-node/recommended'],
  rules: {
    // Possible Errors
    // https://github.com/mysticatea/eslint-plugin-node/blob/master/docs/rules/no-new-require.md
    'node/no-new-require': 'error',
    // https://github.com/mysticatea/eslint-plugin-node/blob/master/docs/rules/no-path-concat.md
    'node/no-path-concat': 'error',
    // https://github.com/mysticatea/eslint-plugin-node/blob/master/docs/rules/no-unpublished-import.md
    'node/no-unpublished-import': 'off',
    // https://github.com/mysticatea/eslint-plugin-node/blob/master/docs/rules/no-unpublished-require.md
    'node/no-unpublished-require': 'off',

    // Stylistic Issues
    // https://github.com/mysticatea/eslint-plugin-node/blob/master/docs/rules/file-extension-in-import.md
    'node/file-extension-in-import': [
      'error',
      'always',
      {
        '.js': 'never',
        '.jsx': 'never',
        '.ts': 'never',
        '.d.ts': 'never',
        '.tsx': 'never',
        '.mjs': 'never',
        '.mjsx': 'never',
        '.cjs': 'never',
        '.cjsx': 'never',
        tryExtensions: [
          '.js',
          '.jsx',
          '.ts',
          '.d.ts',
          '.tsx',
          '.mjs',
          '.mjsx',
          '.cjs',
          '.cjsx',
          '.json',
          '.node',
        ],
      },
    ],
    // https://github.com/mysticatea/eslint-plugin-node/blob/master/docs/rules/prefer-global/buffer.md
    'node/prefer-global/buffer': ['error', 'always'],
    // https://github.com/mysticatea/eslint-plugin-node/blob/master/docs/rules/prefer-global/console.md
    'node/prefer-global/console': ['error', 'always'],
    // https://github.com/mysticatea/eslint-plugin-node/blob/master/docs/rules/prefer-global/process.md
    'node/prefer-global/process': ['error', 'always'],
    // https://github.com/mysticatea/eslint-plugin-node/blob/master/docs/rules/prefer-global/text-decoder.md
    'node/prefer-global/text-decoder': ['error', 'always'],
    // https://github.com/mysticatea/eslint-plugin-node/blob/master/docs/rules/prefer-global/text-encoder.md
    'node/prefer-global/text-encoder': ['error', 'always'],
    // https://github.com/mysticatea/eslint-plugin-node/blob/master/docs/rules/prefer-global/url-search-params.md
    'node/prefer-global/url-search-params': ['error', 'always'],
    // https://github.com/mysticatea/eslint-plugin-node/blob/master/docs/rules/prefer-global/url.md
    'node/prefer-global/url': ['error', 'always'],
  },
};
