module.exports = {
  settings: {
    react: {
      version: 'detect',
    },
  },
  plugins: [
    // https://github.com/jsx-eslint/eslint-plugin-react
    'eslint-plugin-react',
    // https://github.com/facebook/react/tree/main/packages/eslint-plugin-react-hooks
    'eslint-plugin-react-hooks',
  ],
  extends: [
    require.resolve('./base'),
    'plugin:eslint-plugin-react/recommended',
    'plugin:eslint-plugin-react/jsx-runtime',
  ],
  rules: {
    // React
    'react/display-name': 'off',
    'react/no-array-index-key': 'warn',
    'react/no-this-in-sfc': 'error',
    'react/no-unstable-nested-components': 'error',
    'react/prop-types': [
      'error',
      {
        skipUndeclared: true,
        ignore: ['children', 'className'],
      },
    ],
    'react/self-closing-comp': [
      'error',
      {
        component: true,
        html: false,
      },
    ],
    'react/style-prop-object': 'error',
    'react/void-dom-elements-no-children': 'error',

    // JSX
    'react/jsx-filename-extension': ['warn', { extensions: ['.jsx', 'tsx'] }],
    'react/jsx-no-constructed-context-values': 'error',
    'react/jsx-no-useless-fragment': 'error',
    'react/jsx-pascal-case': 'error',

    // Hooks
    'react-hooks/rules-of-hooks': 'error',
    'react-hooks/exhaustive-deps': 'warn',
  },
};
